aboutsummaryrefslogtreecommitdiffstats
path: root/testing/strongswan/strongswan.initd
diff options
context:
space:
mode:
authorJesse Young <jlyo@jlyo.org>2011-10-27 21:32:54 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2011-10-28 07:53:04 +0000
commit465508790265361b8ca65d1ece76c18a0d5c8621 (patch)
tree3260284d316e40a09491f5f2dbdc7328b947615c /testing/strongswan/strongswan.initd
parent18fa9072b44cfa3bb65922fe3795d2db2674237b (diff)
downloadaports-465508790265361b8ca65d1ece76c18a0d5c8621.tar.bz2
aports-465508790265361b8ca65d1ece76c18a0d5c8621.tar.xz
testing/strongswan: new aport
An OpenSource IPsec implementation for the Linux operating system http://www.strongswan.org/ Signed-off-by: Jesse Young <jlyo@jlyo.org>
Diffstat (limited to 'testing/strongswan/strongswan.initd')
-rw-r--r--testing/strongswan/strongswan.initd31
1 files changed, 31 insertions, 0 deletions
diff --git a/testing/strongswan/strongswan.initd b/testing/strongswan/strongswan.initd
new file mode 100644
index 0000000000..156883f110
--- /dev/null
+++ b/testing/strongswan/strongswan.initd
@@ -0,0 +1,31 @@
+#!/sbin/runscript
+
+depend() {
+ need net
+ after firewall
+}
+
+start() {
+ ebegin "Starting StrongSwan"
+ ipsec start
+ eend $?
+}
+
+stop () {
+ ebegin "Stopping StrongSwan"
+ ipsec stop
+ eend $?
+}
+restart() {
+ ebegin "Restarting StrongSwan"
+ svc_stop
+ sleep 2
+ svc_start
+ eend $?
+}
+
+status() {
+ ebegin "StrongSwan Status (verbose):"
+ ipsec statusall
+ eend $?
+}